[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Compilation error fix on GNU/Linux

From: dhruva
Subject: Compilation error fix on GNU/Linux
Date: Thu, 29 Apr 2010 10:33:26 -0700 (PDT)

When building emacs using gcc 4.4.1 on GNU/Linux i686, I get an error saying 
LONG_MAX is not defined during compilation of src/xsetting.c. The following 
trivial patch fixes it.

$ bzr diff
=== modified file 'src/xsettings.c'
--- src/xsettings.c2010-04-22 17:23:18 +0000
+++ src/xsettings.c2010-04-29 17:28:58 +0000
@@ -18,6 +18,7 @@
 along with GNU Emacs.  If not, see <http://www.gnu.org/licenses/>.  */
 #include "config.h"
+#include <limits.h>
 #include <setjmp.h>
 #include <fcntl.h>
 #include "lisp.h"


reply via email to

[Prev in Thread] Current Thread [Next in Thread]